package com.qmth.exam.reserve.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.teaching.TeachingReq;
import com.qmth.exam.reserve.bean.teaching.TeachingVO;
import com.qmth.exam.reserve.controller.BaseController;
import com.qmth.exam.reserve.service.CategoryService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "教学点管理")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/admin/teaching")
@Aac(strict = false, auth = true)
public class TeachingController extends BaseController {

    @Autowired
    private CategoryService categoryService;

    @ApiOperation(value = "教学点管理分页")
    @PostMapping(value = "/page")
    public PageResult<TeachingVO> page(@RequestBody TeachingReq req) {
        return categoryService.page(req);
    }

}
