package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_apply_task")
public class ApplyTaskEntity extends BaseEntity {

    private static final long serialVersionUID = -3519039143928920038L;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 所属机构ID（学校）
     */
    private Long orgId;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 考前多少天，禁止考生自主预约
     */
    private Integer allowApplyDays;

    /**
     * 考前多少天，禁止考生自主取消预约
     */
    private Integer allowApplyCancelDays;

    /**
     * 自主预约起始时间，只能预约本教学点下的考点
     */
    private Long selfApplyStartTime;

    /**
     * 自主预约截止时间，只能预约本教学点下的考点
     */
    private Long selfApplyEndTime;

    /**
     * 开放式预约起始时间，可以在不同教学点间预约
     */
    private Long openApplyStartTime;

    /**
     * 开放式预约截止时间，可以在不同教学点间预约
     */
    private Long openApplyEndTime;

    /**
     * 考试说明
     */
    private String notice;

}
