package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_student")
public class StudentEntity extends BaseEntity {

    private static final long serialVersionUID = -242115556183519328L;

    /**
     * 考生姓名
     */
    private String name;

    /**
     * 证件号
     */
    private String identityNumber;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 头像相对路径
     */
    private String photoPath;

    /**
     * 性别
     */
    private String gender;

    /**
     * 微信OID
     */
    private String openId;

    /**
     * 微信UID
     */
    private String uid;

    /**
     * 所属预约任务ID
     */
    private Long applyTaskId;

    /**
     * 所属教学点ID
     */
    private Long categoryId;

    /**
     * 允许预约时段数量
     */
    private Integer applyNumber;

    /**
     * 预约时段是否全部完成（该字段已废弃）
     */
    private Boolean applyFinished;

    /**
     * 所属机构ID（学校）
     */
    private Long orgId;

    /**
     * 考生密码
     */
    private String password;

}
